DomDocumentType->notations
DomDocumentType->system_id
DOM XML (PHP 4) Functions
PHP Manual

# DomDocumentType->public_id

(PHP 4 >= 4.1.0)

DomDocumentType->public_id — Returns public id of document type

### Description

DomDocumentType
string public_id ( void )

This function returns the public id of the document type.

### Return Values

Returns the public id of the DomDocumentType, as a string.

### Examples

The following example echos nothing.

Example #1 Retrieving the public id

`<?php
include("example.inc");
if (!$dom = domxml_open_mem($xmlstr)) {
echo "Error while parsing the document\n";
exit;
}
$doctype = $dom->doctype();
echo $doctype->public_id();
?>`

### Migrating to PHP 5

Use the publicId property of the DOMDocumentType object.

DomDocumentType->notations
DomDocumentType->system_id
DOM XML (PHP 4) Functions
PHP Manual